Package org.acplt.oncrpc

## Class OncRpcClientAuthNone

- java.lang.Object
- - org.acplt.oncrpc.OncRpcClientAuth
  - - org.acplt.oncrpc.OncRpcClientAuthNone

-     public class OncRpcClientAuthNone
      extends OncRpcClientAuth

  The `OncRpcClientAuthNone` class handles protocol issues of ONC/RPC `AUTH_NONE` authentication.
  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:40 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OncRpcClientAuthNone` | `AUTH_NONE` | Contains a singleton which comes in handy if you just need an AUTH_NONE authentification for an ONC/RPC client.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OncRpcClientAuthNone()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `canRefreshCred()` | Indicates whether the ONC/RPC authentication credential can be refreshed.
    `protected void` | `xdrDecodeVerf​(XdrDecodingStream xdr)` | Decodes ONC/RPC authentication information in form of a verifier when receiving an ONC/RPC reply message.
    `protected void` | `xdrEncodeCredVerf​(XdrEncodingStream xdr)` | Encodes ONC/RPC authentication information in form of a credential and a verifier when sending an ONC/RPC call message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTH_NONE

          public static final OncRpcClientAuthNone AUTH_NONE

      Contains a singleton which comes in handy if you just need an AUTH_NONE authentification for an ONC/RPC client.

  - ### Constructor Detail

    - #### OncRpcClientAuthNone

          public OncRpcClientAuthNone()

  - ### Method Detail

    - #### xdrEncodeCredVerf

          protected void xdrEncodeCredVerf​(XdrEncodingStream xdr)
                                    throws OncRpcException,
                                           java.io.IOException

      Encodes ONC/RPC authentication information in form of a credential and a verifier when sending an ONC/RPC call message.
      Specified by:
        `xdrEncodeCredVerf` in class `OncRpcClientAuth`
      Parameters:
        `xdr` - XDR stream where to encode the credential and the verifier to.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.

    - #### xdrDecodeVerf

          protected void xdrDecodeVerf​(XdrDecodingStream xdr)
                                throws OncRpcException,
                                       java.io.IOException

      Decodes ONC/RPC authentication information in form of a verifier when receiving an ONC/RPC reply message.
      Specified by:
        `xdrDecodeVerf` in class `OncRpcClientAuth`
      Parameters:
        `xdr` - XDR stream from which to receive the verifier sent together with an ONC/RPC reply message.
      Throws:
        `OncRpcAuthenticationException` - if the received verifier is not kosher.
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.

    - #### canRefreshCred

          protected boolean canRefreshCred()

      Indicates whether the ONC/RPC authentication credential can be refreshed.
      Specified by:
        `canRefreshCred` in class `OncRpcClientAuth`
      Returns:
        true, if the credential can be refreshed